Superconductor Docs

Ticket implementations

An implementation's status, conversation, and code changes.

GET
/ticket_implementations/{id}

An implementation's status, agent, ticket, and pull requests.

Authorization

PersonalAccessToken
headerAuthorizationBearer <token>

A personal access token, created under Account Settings → Developer → Personal access tokens.

Path Parameters

id*string

Response Body

The request has succeeded.

application/json
  1. response
id*string
friendly_id*string
url*string
Formaturi
status*string

Such as idle, running, pending_user, or failed.

created_at*string
Formatdate-time
creator*|null
pull_requests*array<>
profile_name*|

The coding agent working on it.

model*string|null
ticket*
Example Request
curl -X GET 'https://www.superconductor.com/api/v1/ticket_implementations/string'
Example Response
{  "id": "string",  "friendly_id": "string",  "url": "http://example.com",  "status": "string",  "created_at": "2019-08-24T14:15:22Z",  "creator": {    "type": "string",    "id": "string",    "name": "string",    "email": "string"  },  "pull_requests": [    {      "id": "string",      "number": 0,      "url": "http://example.com",      "status": "string",      "provider": "string",      "created_at": "2019-08-24T14:15:22Z",      "last_pushed_at": "2019-08-24T14:15:22Z"    }  ],  "profile_name": "string",  "model": "string",  "ticket": {    "id": "string",    "friendly_id": "string",    "url": "http://example.com",    "title": "string",    "status": "string"  }}
GET
/ticket_implementations/{id}/messages

An implementation's conversation, in order.

Authorization

PersonalAccessToken
headerAuthorizationBearer <token>

A personal access token, created under Account Settings → Developer → Personal access tokens.

Path Parameters

id*string

Query Parameters

limit?integer

How many records to return.

Formatint32
Range1 <= value <= 1000
Default100
cursor?string

The next_cursor of the previous page.

Response Body

The request has succeeded.

application/json
  1. response
data*array<>
next_cursor*|

Pass this as cursor to get the next page, or null on the last page.

Example Request
curl -X GET 'https://www.superconductor.com/api/v1/ticket_implementations/string/messages'
Example Response
{  "data": [    {      "id": "string",      "created_at": "2019-08-24T14:15:22Z",      "author": {        "type": "string",        "name": "string",        "id": "string",        "email": "string"      },      "text": "string"    }  ],  "next_cursor": "string"}
GET
/ticket_implementations/{id}/diff

An implementation's latest code changes, one git diff per repository.

Authorization

PersonalAccessToken
headerAuthorizationBearer <token>

A personal access token, created under Account Settings → Developer → Personal access tokens.

Path Parameters

id*string

Response Body

The request has succeeded.

application/json
  1. response
repositories*array<>

One entry per repository, by name.

Example Request
curl -X GET 'https://www.superconductor.com/api/v1/ticket_implementations/string/diff'
Example Response
{  "repositories": [    {      "name": "string",      "merge_base": "string",      "diff": "string",      "error": "string"    }  ]}